Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.prng
Class ThreadedSeedGenerator

    java.lang.Object
      org.bouncycastle.crypto.prng.ThreadedSeedGenerator

    public class ThreadedSeedGenerator

extends java.lang.Object

A thread based seed generator - one source of randomness.

Based on an idea from Marcus Lippert.

Constructor Summary
`ThreadedSeedGenerator()`

Method Summary
`byte[]` | `generateSeed(int numBytes, boolean fast)` Generate seed bytes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThreadedSeedGenerator

    public ThreadedSeedGenerator()

Method Detail

### generateSeed

    public byte[] generateSeed(int numBytes,
                               boolean fast)

  Generate seed bytes. Set fast to false for best quality.

  If fast is set to true, the code should be round about 8 times faster when generating a long sequence of random bytes. 20 bytes of random values using the fast mode take less than half a second on a Nokia e70. If fast is set to false, it takes round about 2500 ms.

  Parameters:
    `numBytes` - the number of bytes to generate
    `fast` - true if fast mode should be used

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD